import { LitElement } from 'lit';
/**
 * Individual tab component used within w-tabs container.
 *
 * [See Storybook for usage examples](https://warp-ds.github.io/elements/?path=/docs/tabs--docs)
 */
export declare class WarpTab extends LitElement {
    static styles: import("lit").CSSResult[];
    name: string;
    label: string;
    active: boolean;
    over: boolean;
    tabClass: string;
    private _handleClick;
    private get _classes();
    private get _hasChildren();
    render(): import("lit").TemplateResult<1>;
}
